Subject: Re: bug#33275: 27.0.50; Image cache pruning

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Nov 2018 20:14:27 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 05 Nov 2018 18:48:33 +0100
> 
> Anyway, there's code that tries to keep the cache small:
> 
> 	  /* If the number of cached images has grown unusually large,
> 	     decrease the cache eviction delay (Bug#6230).  */
> 	  delay = XFIXNUM (Vimage_cache_eviction_delay);
> 	  if (nimages > 40)
> 	    delay = 1600 * delay / nimages / nimages;
> 
> But it works solely on the number of images in the cache, and not the
> size of the images.  So it's a heuristic that could be tweaked pretty
> easily, I think?

I don't see why we should tweak our cache management for the benefit
of exceptional use case.  Last time we did it (with fonts) we are
still leaking the wounds.

I think it should be enough to catch excess memory usage and signal an
error.  I hope this is possible.